Get Agreement

get

/agreements/{id}

Gets agreement details, including available associated products and account details.

Request

Path Parameters

There's no request body for this operation.

Back to Top

Response

Supported Media Types

200 Response

The agreement was returned successfully.
Body ()
Root Schema : schema
Type: object
Show Source
Nested Schema : accounts
Type: array
Show Source
Nested Schema : AgreementCharacteristic
Type: object
One characteristic object containing zero or more attributes.
Show Source
Nested Schema : extension
Type: object
The extended attributes.
Nested Schema : ResourceRef
Type: object
Show Source
Nested Schema : offers
Type: array
Show Source
Nested Schema : profiles
Type: array
Show Source
Nested Schema : AgreementAssociation
Type: object
Show Source
Nested Schema : attributes
Type: array
Show Source
Nested Schema : AgreementCharacteristicAttribute
Type: object
Show Source
Nested Schema : AgreementOffer
Type: object
Show Source
Nested Schema : attributes
Type: array
Show Source
Nested Schema : usageMap
Type: array
Usage-map overrides owned by this individual agreement offer.
Show Source
Nested Schema : AgreementProductCharacteristic
Type: object
Show Source
Nested Schema : AgreementUsageMap
Type: object
Usage-map overrides owned by this individual agreement offer.
Show Source
Nested Schema : attribute
Type: array
Show Source
Nested Schema : dateRange
Type: array
Show Source
Nested Schema : discountModels
Type: array
Show Source
Nested Schema : ratePlans
Type: array
Show Source
Nested Schema : AgreementDateRange
Type: object
Show Source
Nested Schema : priceTags
Type: array
Show Source
Nested Schema : AgreementPriceTag
Type: object
Show Source
Nested Schema : AgreementDiscountModel
Type: object
Show Source
Nested Schema : priceTags
Type: array
Show Source
Nested Schema : AgreementRatePlan
Type: object
Show Source
Nested Schema : priceTags
Type: array
Show Source
Nested Schema : AgreementProductProfile
Type: object
Show Source
Nested Schema : dataArray
Type: array
Show Source
Nested Schema : Extrating
Type: object
Information about an extended rating attribute.
Show Source
  • The ERA's label name.
  • A number that keeps the reference count. For purchases, the counter is incremented by one. For cancellations, the counter is decreased by one.
  • The provisioning status. Can be one of the following:
    • 0: No operation
    • 1: Provisioning ERA
    • 2: Provisioning ERA failed
    • 3: ERA active
    • 4: Unprovisioning ERA
    • 5: Unprovisioning ERA failed
    • 6: ERA unprovisioned
    • 7: Suspending ERA
    • 8: ERA suspension failed
    • 9: ERA suspended
Nested Schema : AgreementProfileAttribute
Type: object
Show Source

500 Response

An internal server error occurred.
Back to Top